Skip to main content
Complete reference for Offramp URL parameters and configuration options.
Security Requirements must be enforced: Your backend API that generates session tokens must implement proper security measures. See Security Requirements for complete implementation guidance.

URL Format

https://pay.coinbase.com/v3/sell/input?sessionToken=<token>&partnerUserRef=<id>&redirectUrl=<url>

URL Parameters

The following table outlines parameters to generate the Offramp URL
ParameterReq’dTypeDescription
sessionTokenYesStringToken generated by the Session Token API.
redirectUrlYesStringURL to redirect the user to after they send crypto. Production URLs must be added to your domain allowlist (see Security Requirements). Use Offramp Transaction Status API to fetch the send to_address details.
partnerUserRefYesStringUnique ID representing the end-user. Must be less than 50 chars. Use with the Offramp Transaction Status API to retrieve transactions made during the session.
defaultNetworkNoStringDefault network that should be selected when multiple networks are present
defaultAssetNoStringDefault asset that should be selected when multiple assets are present
presetCryptoAmountNoNumberPreset crypto amount value
presetFiatAmountNoNumberPreset fiat amount value (for USD, CAD, GBP, EUR only). Ignored if presetCryptoAmount is also set.
defaultCashoutMethodNoStringDefault payment method to cashout fiat (“FIAT_WALLET”, “CRYPTO_ACCOUNT”, “ACH_BANK_ACCOUNT”, “PAYPAL”)
fiatCurrencyNoStringe.g: USD, CAD, GBP, etc.
disableEditNoBooleanIf set to true, prevents users from editing their order in the One-Click Sell flow. By default, this is set to false.

Example

https://pay.coinbase.com/v3/sell/input?sessionToken=abc123xyz&partnerUserRef=user-789&redirectUrl=https://yourapp.com
All transactions made during the session are linked to partnerUserRef which can be used with the Transaction Status API to retrieve transactions later.

Creating Session Tokens

To get a sessionToken, call the Session Token API from your backend:
cdpcurl -X POST 'https://api.developer.coinbase.com/onramp/v1/token' \
  -k ~/Downloads/cdp_api_key.json \
  -d '{
    "addresses": [{
      "address": "0x1234567890abcdef1234567890abcdef12345678",
      "blockchains": ["base", "ethereum"]
    }],
    "clientIp": "192.0.2.1"
  }'
See the Quickstart guide for a complete example.